petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscSubcommSetNumber

Set total number of subcommunicators.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscSubcommSetNumber(PetscSubcomm psubcomm,PetscInt nsubcomm)

Collective on MPI_Comm Many br

### Input Parameter

| psubcomm | - PetscSubcomm context Many br
| nsubcomm | - the total number of subcommunicators in psubcomm Many br

Many br

### Keywords

communicator

### See Also

PetscSubcommCreate(),PetscSubcommDestroy(),PetscSubcommSetType(),PetscSubcommSetTypeGeneral()

Level:advanced
Location:src/sys/objects/subcomm.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/examples/tutorials/ex15.c.html